%define libvlc 5
%define libvlccore 4

Name:           vlc
Version:        1.1.13
Release:        21.1

License:        GNU General Public License (GPL)
Summary:        VLC - Video Lan Client
Url:            http://www.videolan.org/
Group:          Productivity/Multimedia/Video/Players

Source0:        http://download.videolan.org/pub/videolan/vlc/%{version}/%{name}-%{version}.tar.bz2

Patch0:         vlc-fix_font_path.patch
Patch1:         vlc-no_return_in_non_void.patch
Patch2:         vlc-buildcompare.patch
Patch3:         vlc-opencv22.patch
Patch4:         vlc-errno_h.patch
Patch5:         vlc-asserts_h.patch

Requires:       vlc-noX = %{version}
Requires:       vlc-qt = %{version}
Recommends:     freefont

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

### base ###
BuildRequires:  fdupes
BuildRequires:  fribidi-devel
BuildRequires:  liba52-devel
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libmad-devel
BuildRequires:  libqt4-devel
BuildRequires:  lua-devel
BuildRequires:  update-desktop-files

### default enabled ####
BuildRequires:  flac-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gnutls-devel
%if 0%{?suse_version} >= 1120
BuildRequires:  libass-devel
%endif
BuildRequires:  libavahi-devel
BuildRequires:  libcaca-devel
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  libdvbpsi-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libdvdread-devel
%if 0%{?suse_version} >= 1120
BuildRequires:  libebml-devel
%endif
BuildRequires:  libfaad-devel
%if 0%{?suse_version} >= 1140
BuildRequires:  libkate-devel
BuildRequires:  libmatroska-devel
%endif
BuildRequires:  libmodplug-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libmtp-devel
BuildRequires:  libprojectM-devel
%if 0%{?suse_version} >= 1120
BuildRequires:  libproxy-devel
%endif
BuildRequires:  librsvg-devel
BuildRequires:  schroedinger-devel
BuildRequires:  libshout-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtag-devel
BuildRequires:  libtwolame-devel
BuildRequires:  libudev-devel
BuildRequires:  libupnp-devel
BuildRequires:  libv4l-devel
BuildRequires:  sqlite3-devel
BuildRequires:  valgrind-devel
BuildRequires:  zvbi-devel
BuildRequires:  libnotify-devel
BuildRequires:  libxml2-devel

%ifnarch ppc
%if 0%{?suse_version} >= 1120
BuildRequires:  fluidsynth-devel
%endif
%endif

%if 0%{?suse_version} >= 1120
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
%endif

%if 0%{?suse_version} <= 1120
BuildRequires:  goom2k4-devel
%endif

%if 0%{?suse_version} >= 1140
BuildRequires:  libpulse-devel
%endif

%if 0%{?suse_version} > 1130
BuildRequires:  pkgconfig(gtk+-2.0)
%endif

BuildRequires:  DirectFB-devel
BuildRequires:  aalib-devel
BuildRequires:  libdca-devel
BuildRequires:  libid3tag-devel
### --enabled ####
BuildRequires:  ncurses-devel
%if 0%{?suse_version} >= 1120 || 0%{?sles_version} >= 11
%if 0%{?suse_version} == 1140
BuildRequires:   mozilla-xulrunner20-devel
%else
BuildRequires:   mozilla-xulrunner192-devel
%endif
%endif
%if 0%{?suse_version} >= 1130
BuildRequires:  opencv-devel
%endif
BuildRequires:  pcre-devel
BuildRequires:  vcdimager-devel
BuildRequires:  xosd-devel

%if 0%{?suse_version} >= 1120
BuildRequires:  lirc-devel
%else
BuildRequires:  lirc
%endif

%description
VLC media player is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...)
as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast
in IPv4 or IPv6 on a high-bandwidth network.

%package devel
Summary:        VLC Development system
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Those development headers are required if you plan on coding against VLC

%package -n libvlc%{libvlc}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlc%{libvlc}
Shared library libvlc. To be installed by system dependencies

%package -n libvlccore%{libvlccore}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlccore%{libvlccore}
Shared library libvlc. To be installed by system dependencies

%package noX
Summary:        VLC: VideoLAN Client - without X dependencies
Group:          Productivity/Multimedia/Video/Players
Requires:       libvlc%{libvlc} = %{version}
Requires:       libvlccore%{libvlccore} = %{version}

%description noX
This Package of VLC contains the bare requirements you need to install.
Here is no graphical User Interface included, thus it's also perfectly
suitable for server installations (Streaming Server for example)

Should you decide to install the GUI modules, %{name}-noX will stay
installed as a dependency.

%package qt
Summary:        VLC: VideoLAN Client - Qt interface
Group:          Productivity/Multimedia/Video/Players
Requires:       vlc-noX = %{version}
Supplements:    packageand(%{name}-noX:libqt4)

%description qt
The all new Qt interface for the VLC VideoLAN Client.

%package gnome
Summary:        VLC: VideoLAN Client - Gnome Access Modules
Group:          Productivity/Multimedia/Video/Players
Requires:       vlc-noX = %{version}
Supplements:    packageand(%{name}-noX:gnome-vfs2)

%description gnome
In order to integrate flawless into GNOME, there are some access modules
for gnome-vfs2.

%if 0%{?suse_version} >= 1120 || 0%{?sles_version} >= 11
%package mozillaplugin
Summary:        The mozilaplugin enables VLC inside Mozilla Browser
Group:          Productivity/Multimedia/Video/Players
Requires:       vlc-noX = %{version}

%description mozillaplugin
With this plugin, you enable video content withing the Mozilla Browser Suites
%endif

%if 0%{?suse_version} >= 1140
%package aout-pulse
Summary:        VLC Audio Out for Pulse Audio
Group:          System/Libraries
Requires:       %{name} = %{version}
Requires:       vlc-noX = %{version}
Supplements:    packageand(%{name}-noX:pulseaudio)

%description aout-pulse
Extends VLC with Pulse Audio Support for Audio Out
%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1

grep --exclude='*.orig' -r -E '__(DATE|TIME)__' . && { echo "Found __DATE__ and/or __TIME__ !"; exit 1; }


%build
export SUSE_ASNEEDED=1
%configure \
	--docdir=%{_docdir}/%{name} \
%if 0
	--enable-run-as-root --enable-debug \
%endif
	--disable-live555 \
	--enable-aa \
	--enable-asademux \
	--enable-directfb \
	--enable-faad \
	--enable-fbosd \
%ifarch ppc
        --disable-fluidsynth \
%endif
	--enable-id3tag \
	--enable-lirc \
%if 0%{?suse_version} >= 1120 || 0%{?sles_version} >= 11
	--enable-mozilla \
%endif
	--enable-ncurses \
%if 0%{?suse_version} >= 1130
	--enable-opencv \
%endif
	--enable-pvr \
	--enable-real \
	--enable-realrtsp \
	--enable-sftp \
	--enable-snapshot \
	--enable-switcher \
	--enable-v4l \
	--enable-vcdx \
%if 0%{?suse_version} >= 1120
        --enable-libva \
%endif
	--enable-xosd \
	--disable-sdl

make V=1 %{?_smp_mflags}


%install
%makeinstall

%__rm -rf %{buildroot}/%{_datadir}/locale/tet
%find_lang vlc

mkdir -p %{buildroot}/%{_datadir}/pixmaps
ln -s %{_datadir}/icons/hicolor/48x48/apps/vlc.png %{buildroot}/%{_datadir}/pixmaps/vlc.png
%suse_update_desktop_file %{name} AudioVideo Player Video


%if 0%{?suse_version} >= 1120 || 0%{?sles_version} >= 11
install -d %{buildroot}/%{_libdir}/browser-plugins/
ln -s %{_libdir}/mozilla/plugins/libvlcplugin.so %{buildroot}/%{_libdir}/browser-plugins/libvlcplugin.so
%endif

# delete .la files
find %{buildroot} -name *.la -exec rm {} \;

%fdupes %{buildroot}


%clean
%__rm -rf %{buildroot}


%post -n %{name}-noX -p /sbin/ldconfig
%postun -n %{name}-noX -p /sbin/ldconfig

%post -n libvlc%{libvlc} -p /sbin/ldconfig
%postun -n libvlc%{libvlc} -p /sbin/ldconfig

%post -n libvlccore%{libvlccore} -p /sbin/ldconfig
%postun -n libvlccore%{libvlccore} -p /sbin/ldconfig

%files
%defattr(-,root,root)

%if 0%{?suse_version} <= 1120
%dir %{_datadir}/locale/ach
%dir %{_datadir}/locale/ach/LC_MESSAGES
%dir %{_datadir}/locale/cgg
%dir %{_datadir}/locale/cgg/LC_MESSAGES
%dir %{_datadir}/locale/ff
%dir %{_datadir}/locale/ff/LC_MESSAGES
%endif

%dir %{_docdir}/vlc
%{_docdir}/vlc/*.txt
%{_datadir}/applications/vlc.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.xpm
%dir %{_datadir}/kde4
%dir %{_datadir}/kde4/apps
%dir %{_datadir}/kde4/apps/solid
%dir %{_datadir}/kde4/apps/solid/actions
%{_datadir}/kde4/apps/solid/actions/vlc-opencda.desktop
%{_datadir}/kde4/apps/solid/actions/vlc-opendvd.desktop
%{_datadir}/kde4/apps/solid/actions/vlc-openvcd.desktop
%{_datadir}/pixmaps/vlc.png
%{_datadir}/vlc/vlc.ico
%dir %{_datadir}/vlc/skins2
%{_datadir}/vlc/skins2/default.vlt
%dir %{_datadir}/vlc/skins2/fonts
%{_datadir}/vlc/skins2/fonts/FreeSans.ttf
%{_datadir}/vlc/skins2/fonts/FreeSansBold.ttf
%{_datadir}/vlc/skins2/skin.catalog
%{_datadir}/vlc/skins2/skin.dtd
%{_datadir}/vlc/skins2/winamp2.xml
%{_libdir}/vlc/plugins/access/libxcb_screen_plugin.so
%ifnarch ppc
%if 0%{?suse_version} >= 1120
%{_libdir}/vlc/plugins/codec/libfluidsynth_plugin.so
%endif
%endif
%{_libdir}/vlc/plugins/control/libglobalhotkeys_plugin.so
%{_libdir}/vlc/plugins/control/liblirc_plugin.so
%dir %{_libdir}/vlc/plugins/gui
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%{_libdir}/vlc/plugins/gui/libfbosd_plugin.so
%{_libdir}/vlc/plugins/misc/libnotify_plugin.so
%{_libdir}/vlc/plugins/misc/libxscreensaver_plugin.so
%{_libdir}/vlc/plugins/misc/libsvg_plugin.so
%{_libdir}/vlc/plugins/misc/libxosd_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libxcb_apps_plugin.so
%if 0%{?suse_version} >= 1120
%{_libdir}/vlc/plugins/video_filter/libpanoramix_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libcaca_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_window_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_x11_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_xv_plugin.so
%dir %{_libdir}/vlc/plugins/visualization
%if 0%{?suse_version} <= 1120
%{_libdir}/vlc/plugins/visualization/libgoom_plugin.so
%endif
%{_libdir}/vlc/plugins/visualization/libprojectm_plugin.so
%{_libdir}/vlc/plugins/visualization/libvisual_plugin.so

%files noX -f vlc.lang
%defattr(-,root,root)
%doc NEWS AUTHORS COPYING HACKING THANKS README
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%dir %{_libdir}/vlc
%dir %{_libdir}/vlc/lua
%dir %{_libdir}/vlc/lua/extensions
%{_libdir}/vlc/lua/extensions/*.luac
%dir %{_libdir}/vlc/lua/intf
%{_libdir}/vlc/lua/intf/*.luac
%dir %{_libdir}/vlc/lua/intf/modules
%{_libdir}/vlc/lua/intf/modules/*.luac
%dir %{_libdir}/vlc/lua/meta
%dir %{_libdir}/vlc/lua/meta/art
%{_libdir}/vlc/lua/meta/art/*.luac
%dir %{_libdir}/vlc/lua/meta/fetcher
%{_libdir}/vlc/lua/meta/fetcher/*.luac
%dir %{_libdir}/vlc/lua/meta/reader
%{_libdir}/vlc/lua/meta/reader/*.luac
%dir %{_libdir}/vlc/lua/modules
%{_libdir}/vlc/lua/modules/*.luac
%dir %{_libdir}/vlc/lua/playlist
%{_libdir}/vlc/lua/playlist/*.luac
%dir %{_libdir}/vlc/lua/sd
%{_libdir}/vlc/lua/sd/*.luac
%dir %{_libdir}/vlc/plugins
%ifarch %ix86 x86_64
%dir %{_libdir}/vlc/plugins/3dnow
%{_libdir}/vlc/plugins/3dnow/libmemcpy3dn_plugin.so
%endif
%ifarch ppc ppc64
%dir %{_libdir}/vlc/plugins/altivec
%{_libdir}/vlc/plugins/altivec/libi420_yuy2_altivec_plugin.so
%{_libdir}/vlc/plugins/altivec/libmemcpyaltivec_plugin.so
%endif
%dir %{_libdir}/vlc/plugins/access/
%{_libdir}/vlc/plugins/access/libaccess_alsa_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_attachment_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_avio_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_bd_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_fake_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_ftp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_http_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_imem_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_jack_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mmap_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mms_plugin.so
%if 0%{?suse_version} >= 1120 || 0%{?sles_version} >= 11
%{_libdir}/vlc/plugins/access/libaccess_mtp_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libaccess_oss_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_realrtsp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_smb_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_tcp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_udp_plugin.so
%{_libdir}/vlc/plugins/access/libcdda_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/access/libdc1394_plugin.so
%endif
%if 0%{?suse_version} < 1210
%{_libdir}/vlc/plugins/access/libv4l_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libdvb_plugin.so
%{_libdir}/vlc/plugins/access/libdvdnav_plugin.so
%{_libdir}/vlc/plugins/access/libdvdread_plugin.so
%{_libdir}/vlc/plugins/access/libfilesystem_plugin.so
%{_libdir}/vlc/plugins/access/libpvr_plugin.so
%{_libdir}/vlc/plugins/access/librtp_plugin.so
%{_libdir}/vlc/plugins/access/libv4l2_plugin.so
%{_libdir}/vlc/plugins/access/libvcd_plugin.so
%{_libdir}/vlc/plugins/access/libvcdx_plugin.so
%{_libdir}/vlc/plugins/access/libzip_plugin.so
%dir %{_libdir}/vlc/plugins/access_output
%{_libdir}/vlc/plugins/access_output/libaccess_output_dummy_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_file_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_http_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_shout_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_udp_plugin.so
%dir %{_libdir}/vlc/plugins/audio_filter
%{_libdir}/vlc/plugins/audio_filter/liba52tofloat32_plugin.so
%{_libdir}/vlc/plugins/audio_filter/liba52tospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudio_format_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudiobargraph_a_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libchorus_flanger_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libconverter_fixed_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdolby_surround_decoder_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdtstofloat32_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdtstospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libequalizer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libheadphone_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmono_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmpgatofixed32_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libnormvol_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libparam_eq_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsimple_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspatializer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtrivial_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libugly_resampler_plugin.so
%dir %{_libdir}/vlc/plugins/audio_mixer
%{_libdir}/vlc/plugins/audio_mixer/libfloat32_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libspdif_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libtrivial_mixer_plugin.so
%dir %{_libdir}/vlc/plugins/audio_output
%{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so
%{_libdir}/vlc/plugins/audio_output/libaout_file_plugin.so
%{_libdir}/vlc/plugins/audio_output/libjack_plugin.so
%{_libdir}/vlc/plugins/audio_output/liboss_plugin.so
%dir %{_libdir}/vlc/plugins/codec
%{_libdir}/vlc/plugins/codec/liba52_plugin.so
%{_libdir}/vlc/plugins/codec/libadpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libaes3_plugin.so
%{_libdir}/vlc/plugins/codec/libaraw_plugin.so
%{_libdir}/vlc/plugins/codec/libavcodec_plugin.so
%{_libdir}/vlc/plugins/codec/libcc_plugin.so
%{_libdir}/vlc/plugins/codec/libcdg_plugin.so
%{_libdir}/vlc/plugins/codec/libcvdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libdirac_plugin.so
%{_libdir}/vlc/plugins/codec/libdts_plugin.so
%{_libdir}/vlc/plugins/codec/libdvbsub_plugin.so
%{_libdir}/vlc/plugins/codec/libfaad_plugin.so
%{_libdir}/vlc/plugins/codec/libfake_plugin.so
%{_libdir}/vlc/plugins/codec/libflac_plugin.so
%{_libdir}/vlc/plugins/codec/libinvmem_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/codec/libkate_plugin.so
%endif
%if 0%{?suse_version} >= 1120
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%else
%ifarch ppc
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%endif
%endif
%{_libdir}/vlc/plugins/codec/liblibmpeg2_plugin.so
%{_libdir}/vlc/plugins/codec/liblpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libmpeg_audio_plugin.so
%{_libdir}/vlc/plugins/codec/libpng_plugin.so
%{_libdir}/vlc/plugins/codec/librawvideo_plugin.so
%{_libdir}/vlc/plugins/codec/librealvideo_plugin.so
%{_libdir}/vlc/plugins/codec/libschroedinger_plugin.so
%{_libdir}/vlc/plugins/codec/libspeex_plugin.so
%{_libdir}/vlc/plugins/codec/libspudec_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsdec_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsusf_plugin.so
%{_libdir}/vlc/plugins/codec/libsvcdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libt140_plugin.so
%{_libdir}/vlc/plugins/codec/libtelx_plugin.so
%{_libdir}/vlc/plugins/codec/libtheora_plugin.so
%{_libdir}/vlc/plugins/codec/libtwolame_plugin.so
%{_libdir}/vlc/plugins/codec/libvorbis_plugin.so
%{_libdir}/vlc/plugins/codec/libx264_plugin.so
%{_libdir}/vlc/plugins/codec/libzvbi_plugin.so
%dir %{_libdir}/vlc/plugins/control
%{_libdir}/vlc/plugins/control/libdbus_plugin.so
%{_libdir}/vlc/plugins/control/libgestures_plugin.so
%{_libdir}/vlc/plugins/control/libhotkeys_plugin.so
%{_libdir}/vlc/plugins/control/libmotion_plugin.so
%{_libdir}/vlc/plugins/control/libnetsync_plugin.so
%{_libdir}/vlc/plugins/control/liboldhttp_plugin.so
%{_libdir}/vlc/plugins/control/liboldrc_plugin.so
%{_libdir}/vlc/plugins/control/liboldtelnet_plugin.so
%{_libdir}/vlc/plugins/control/libsignals_plugin.so
%dir %{_libdir}/vlc/plugins/demux
%{_libdir}/vlc/plugins/demux/libaiff_plugin.so
%{_libdir}/vlc/plugins/demux/libasademux_plugin.so
%{_libdir}/vlc/plugins/demux/libasf_plugin.so
%{_libdir}/vlc/plugins/demux/libau_plugin.so
%{_libdir}/vlc/plugins/demux/libavformat_plugin.so
%{_libdir}/vlc/plugins/demux/libavi_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_cdg_plugin.so
%{_libdir}/vlc/plugins/demux/libdemuxdump_plugin.so
%{_libdir}/vlc/plugins/demux/libdirac_plugin.so
%{_libdir}/vlc/plugins/demux/libes_plugin.so
%{_libdir}/vlc/plugins/demux/libflacsys_plugin.so
%{_libdir}/vlc/plugins/demux/libh264_plugin.so
%{_libdir}/vlc/plugins/demux/libmjpeg_plugin.so
%if 0%{?suse_version} >= 1140
%{_libdir}/vlc/plugins/demux/libmkv_plugin.so
%endif
%{_libdir}/vlc/plugins/demux/libmod_plugin.so
%{_libdir}/vlc/plugins/demux/libmp4_plugin.so
%{_libdir}/vlc/plugins/demux/libmpc_plugin.so
%{_libdir}/vlc/plugins/demux/libmpgv_plugin.so
%{_libdir}/vlc/plugins/demux/libnsc_plugin.so
%{_libdir}/vlc/plugins/demux/libnsv_plugin.so
%{_libdir}/vlc/plugins/demux/libnuv_plugin.so
%{_libdir}/vlc/plugins/demux/libogg_plugin.so
%{_libdir}/vlc/plugins/demux/libplaylist_plugin.so
%{_libdir}/vlc/plugins/demux/libps_plugin.so
%{_libdir}/vlc/plugins/demux/libpva_plugin.so
%{_libdir}/vlc/plugins/demux/librawaud_plugin.so
%{_libdir}/vlc/plugins/demux/librawdv_plugin.so
%{_libdir}/vlc/plugins/demux/librawvid_plugin.so
%{_libdir}/vlc/plugins/demux/libreal_plugin.so
%{_libdir}/vlc/plugins/demux/libsmf_plugin.so
%{_libdir}/vlc/plugins/demux/libsubtitle_plugin.so
%{_libdir}/vlc/plugins/demux/libts_plugin.so
%{_libdir}/vlc/plugins/demux/libtta_plugin.so
%{_libdir}/vlc/plugins/demux/libty_plugin.so
%{_libdir}/vlc/plugins/demux/libvc1_plugin.so
%{_libdir}/vlc/plugins/demux/libvobsub_plugin.so
%{_libdir}/vlc/plugins/demux/libvoc_plugin.so
%{_libdir}/vlc/plugins/demux/libwav_plugin.so
%{_libdir}/vlc/plugins/demux/libxa_plugin.so
%{_libdir}/vlc/plugins/gui/libncurses_plugin.so
%dir %{_libdir}/vlc/plugins/meta_engine
%{_libdir}/vlc/plugins/meta_engine/libfolder_plugin.so
%{_libdir}/vlc/plugins/meta_engine/libid3tag_plugin.so
%{_libdir}/vlc/plugins/meta_engine/libtaglib_plugin.so
%dir %{_libdir}/vlc/plugins/misc
%{_libdir}/vlc/plugins/misc/libaudioscrobbler_plugin.so
%{_libdir}/vlc/plugins/misc/libdummy_plugin.so
%{_libdir}/vlc/plugins/misc/libexport_plugin.so
%{_libdir}/vlc/plugins/misc/libfreetype_plugin.so
%{_libdir}/vlc/plugins/misc/libgnutls_plugin.so
%{_libdir}/vlc/plugins/misc/libinhibit_plugin.so
%{_libdir}/vlc/plugins/misc/liblogger_plugin.so
%{_libdir}/vlc/plugins/misc/liblua_plugin.so
%{_libdir}/vlc/plugins/misc/libosd_parser_plugin.so
%{_libdir}/vlc/plugins/misc/libsqlite_plugin.so
%{_libdir}/vlc/plugins/misc/libstats_plugin.so
%{_libdir}/vlc/plugins/misc/libtelepathy_plugin.so
%{_libdir}/vlc/plugins/misc/libvod_rtsp_plugin.so
%{_libdir}/vlc/plugins/misc/libxdg_screensaver_plugin.so
%{_libdir}/vlc/plugins/misc/libxml_plugin.so
%{_libdir}/vlc/plugins/misc/libxtag_plugin.so
%ifarch %ix86 x86_64
%dir %{_libdir}/vlc/plugins/mmx
%{_libdir}/vlc/plugins/mmx/libi420_rgb_mmx_plugin.so
%{_libdir}/vlc/plugins/mmx/libi420_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/mmx/libi422_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/mmx/libmemcpymmx_plugin.so
%dir %{_libdir}/vlc/plugins/mmxext
%{_libdir}/vlc/plugins/mmxext/libmemcpymmxext_plugin.so
%endif
%dir %{_libdir}/vlc/plugins/mux
%{_libdir}/vlc/plugins/mux/libmux_asf_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_avi_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_dummy_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mp4_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mpjpeg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ogg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ps_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ts_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_wav_plugin.so
%dir %{_libdir}/vlc/plugins/packetizer
%{_libdir}/vlc/plugins/packetizer/libpacketizer_copy_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_dirac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_flac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_h264_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mlp_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4audio_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4video_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegvideo_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_vc1_plugin.so
%dir %{_libdir}/vlc/plugins/services_discovery
%{_libdir}/vlc/plugins/services_discovery/libbonjour_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmediadirs_plugin.so
%if 0%{?suse_version} >= 1120 || 0%{?sles_version} >= 11
%{_libdir}/vlc/plugins/services_discovery/libmtp_plugin.so
%endif
%{_libdir}/vlc/plugins/services_discovery/libpodcast_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libsap_plugin.so
%if 0%{?suse_version} >= 1120 || ( 0%{?sles_version} >= 11 && 0%{?sles_version_sp} >= 2 )
%{_libdir}/vlc/plugins/services_discovery/libudev_plugin.so
%endif
%{_libdir}/vlc/plugins/services_discovery/libupnp_intel_plugin.so
%ifarch x86_64
%dir %{_libdir}/vlc/plugins/sse2
%{_libdir}/vlc/plugins/sse2/libi420_rgb_sse2_plugin.so
%{_libdir}/vlc/plugins/sse2/libi420_yuy2_sse2_plugin.so
%{_libdir}/vlc/plugins/sse2/libi422_yuy2_sse2_plugin.so
%endif
%if %suse_version < 1210
%ifarch %ix86
%dir %{_libdir}/vlc/plugins/sse2
%{_libdir}/vlc/plugins/sse2/libi420_rgb_sse2_plugin.so
%{_libdir}/vlc/plugins/sse2/libi420_yuy2_sse2_plugin.so
%{_libdir}/vlc/plugins/sse2/libi422_yuy2_sse2_plugin.so
%endif
%endif
%dir %{_libdir}/vlc/plugins/stream_filter
%{_libdir}/vlc/plugins/stream_filter/libdecomp_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libstream_filter_rar_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libstream_filter_record_plugin.so
%dir %{_libdir}/vlc/plugins/stream_out
%{_libdir}/vlc/plugins/stream_out/libstream_out_autodel_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_bridge_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_description_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_display_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_dummy_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_duplicate_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_es_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_gather_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_mosaic_bridge_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_raop_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_record_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_rtp_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_smem_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_standard_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_switcher_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_transcode_plugin.so
%dir %{_libdir}/vlc/plugins/video_chroma
%{_libdir}/vlc/plugins/video_chroma/libgrey_yuv_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i422_plugin.so
%dir %{_libdir}/vlc/plugins/video_filter
%{_libdir}/vlc/plugins/video_filter/libadjust_plugin.so
%{_libdir}/vlc/plugins/video_filter/libalphamask_plugin.so
%{_libdir}/vlc/plugins/video_filter/libatmo_plugin.so
%{_libdir}/vlc/plugins/video_filter/libaudiobargraph_v_plugin.so
%{_libdir}/vlc/plugins/video_filter/libball_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblend_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblendbench_plugin.so
%{_libdir}/vlc/plugins/video_filter/libbluescreen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcanvas_plugin.so
%{_libdir}/vlc/plugins/video_filter/libchain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libclone_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcolorthres_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcrop_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcroppadd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdeinterlace_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdynamicoverlay_plugin.so
%{_libdir}/vlc/plugins/video_filter/liberase_plugin.so
%{_libdir}/vlc/plugins/video_filter/libextract_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgaussianblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradient_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgrain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libinvert_plugin.so
%{_libdir}/vlc/plugins/video_filter/liblogo_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmagnify_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmarq_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmirror_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmosaic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotionblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotiondetect_plugin.so
%{_libdir}/vlc/plugins/video_filter/libnoise_plugin.so
%if 0%{?suse_version} >= 1130
%{_libdir}/vlc/plugins/video_filter/libopencv_example_plugin.so
%{_libdir}/vlc/plugins/video_filter/libopencv_wrapper_plugin.so
%endif
%{_libdir}/vlc/plugins/video_filter/libosdmenu_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpostproc_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpsychedelic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpuzzle_plugin.so
%{_libdir}/vlc/plugins/video_filter/libremoteosd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libripple_plugin.so
%{_libdir}/vlc/plugins/video_filter/librotate_plugin.so
%{_libdir}/vlc/plugins/video_filter/librss_plugin.so
%{_libdir}/vlc/plugins/video_filter/librv32_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscale_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscene_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsharpen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libswscale_plugin.so
%{_libdir}/vlc/plugins/video_filter/libtransform_plugin.so
%{_libdir}/vlc/plugins/video_filter/libvideo_filter_wrapper_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwall_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwave_plugin.so
%{_libdir}/vlc/plugins/video_filter/libyuvp_plugin.so
%dir %{_libdir}/vlc/plugins/video_output
%{_libdir}/vlc/plugins/video_output/libaa_plugin.so
%{_libdir}/vlc/plugins/video_output/libdirectfb_plugin.so
%{_libdir}/vlc/plugins/video_output/libfb_plugin.so
%{_libdir}/vlc/plugins/video_output/libsnapshot_plugin.so
%{_libdir}/vlc/plugins/video_output/libvmem_plugin.so
%{_libdir}/vlc/plugins/video_output/libvout_wrapper_plugin.so
%{_libdir}/vlc/plugins/video_output/libyuv_plugin.so
%{_libdir}/vlc/vlc-cache-gen
%{_mandir}/man1/vlc-config.1.gz
%{_mandir}/man1/vlc-wrapper.1.gz
%{_mandir}/man1/vlc.1.gz
%dir %{_datadir}/vlc
%dir %{_datadir}/vlc/http
%{_datadir}/vlc/http/.hosts
%dir %{_datadir}/vlc/http/dialogs
%{_datadir}/vlc/http/dialogs/.hosts
%{_datadir}/vlc/http/dialogs/browse
%{_datadir}/vlc/http/dialogs/footer
%{_datadir}/vlc/http/dialogs/input
%{_datadir}/vlc/http/dialogs/main
%{_datadir}/vlc/http/dialogs/mosaic
%{_datadir}/vlc/http/dialogs/playlist
%{_datadir}/vlc/http/dialogs/sout
%{_datadir}/vlc/http/dialogs/vlm
%{_datadir}/vlc/http/favicon.ico
%{_datadir}/vlc/http/flash.html
%{_datadir}/vlc/http/iehacks.css
%dir %{_datadir}/vlc/http/images
%{_datadir}/vlc/http/images/*.png
%{_datadir}/vlc/http/index.html
%dir %{_datadir}/vlc/http/js
%{_datadir}/vlc/http/js/*.js
%{_datadir}/vlc/http/mosaic.html
%{_datadir}/vlc/http/requests/
%{_datadir}/vlc/http/style.css
%{_datadir}/vlc/http/vlm.html
%{_datadir}/vlc/http/vlm_export.html
%dir %{_datadir}/vlc/lua
%dir %{_datadir}/vlc/lua/http
%{_datadir}/vlc/lua/http/.hosts
%{_datadir}/vlc/lua/http/custom.lua
%dir %{_datadir}/vlc/lua/http/dialogs
%{_datadir}/vlc/lua/http/dialogs/.hosts
%{_datadir}/vlc/lua/http/dialogs/browse
%{_datadir}/vlc/lua/http/dialogs/footer
%{_datadir}/vlc/lua/http/dialogs/input
%{_datadir}/vlc/lua/http/dialogs/main
%{_datadir}/vlc/lua/http/dialogs/mosaic
%{_datadir}/vlc/lua/http/dialogs/playlist
%{_datadir}/vlc/lua/http/dialogs/sout
%{_datadir}/vlc/lua/http/dialogs/vlm
%{_datadir}/vlc/lua/http/favicon.ico
%{_datadir}/vlc/lua/http/flash.html
%{_datadir}/vlc/lua/http/iehacks.css
%dir %{_datadir}/vlc/lua/http/images
%{_datadir}/vlc/lua/http/images/*.png
%{_datadir}/vlc/lua/http/index.html
%dir %{_datadir}/vlc/lua/http/js
%{_datadir}/vlc/lua/http/js/*.js
%{_datadir}/vlc/lua/http/mosaic.html
%{_datadir}/vlc/lua/http/requests/
%{_datadir}/vlc/lua/http/style.css
%{_datadir}/vlc/lua/http/vlm.html
%{_datadir}/vlc/lua/http/vlm_export.html
%dir %{_datadir}/vlc/osdmenu
%{_datadir}/vlc/osdmenu/default.cfg
%dir %{_datadir}/vlc/osdmenu/default
%dir %{_datadir}/vlc/osdmenu/default/selected
%{_datadir}/vlc/osdmenu/default/selected/*.png
%dir %{_datadir}/vlc/osdmenu/default/selection
%{_datadir}/vlc/osdmenu/default/selection/*.png
%{_datadir}/vlc/osdmenu/default/unselected.png
%dir %{_datadir}/vlc/osdmenu/default/volume
%{_datadir}/vlc/osdmenu/default/volume/*.png
%dir %{_datadir}/vlc/utils
%{_datadir}/vlc/utils/audio-vlc-default.sh
%{_datadir}/vlc/utils/video-vlc-default.sh
%if 0%{?suse_version} <= 1130
%dir %{_datadir}/locale/co
%dir %{_datadir}/locale/co/LC_MESSAGES
%endif
#%if 0%{?suse_version} <= 1140
#%dir %{_datadir}/locale/tet
#%dir %{_datadir}/locale/tet/LC_MESSAGES
#%endif

%files -n libvlc%{libvlc}
%defattr(-,root,root)
%{_libdir}/libvlc.so.%{libvlc}*

%files -n libvlccore%{libvlccore}
%defattr(-,root,root)
%{_libdir}/libvlccore.so.%{libvlccore}*

%files qt
%defattr(-,root,root)
%{_bindir}/qvlc
%{_bindir}/svlc
%{_libdir}/vlc/plugins/gui/libqt4_plugin.so

%files gnome
%defattr(-,root,root)
%{_datadir}/vlc/utils/gnome-vlc-default.sh
%{_libdir}/vlc/plugins/access/libaccess_gnomevfs_plugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/vlc/
%{_libdir}/libvlc.so
%{_libdir}/libvlccore.so
%{_libdir}/pkgconfig/libvlc.pc
%{_libdir}/pkgconfig/vlc-plugin.pc

%if 0%{?suse_version} >= 1140
%files aout-pulse
%defattr(-,root,root)
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%endif

%if 0%{?suse_version} >= 1120 || 0%{?sles_version} >= 11
%files mozillaplugin
%defattr(-,root,root)
%dir %{_libdir}/mozilla
%dir %{_libdir}/mozilla/plugins
%{_libdir}/browser-plugins/libvlcplugin.so
%{_libdir}/mozilla/plugins/libvlcplugin.so
%dir %{_datadir}/vlc/mozilla
%{_datadir}/vlc/mozilla/*.xpm
%endif


%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
